#version 330 core

uniform sampler2D bloomTexture;
uniform sampler2D postProTexture;
uniform int BlendMode;

in vec2 fragUV;

layout(location = 0) out vec3 fragColor;

void main() {
	vec3 bloom = texture(bloomTexture, fragUV).xyz;
	vec3 postPro = texture(postProTexture, fragUV).xyz;
	
	if (BlendMode == 3) {
		fragColor = bloom;
	} else if ( BlendMode == 2 ) {
		// Additive blending (strong result, high overexposure)
		fragColor = min(bloom + postPro, 1.0);
	} else if ( BlendMode == 1 ) {
		// Screen blending (mild result, medium overexposure)
		fragColor = clamp((bloom + postPro) - (bloom * postPro), 0.0, 1.0);
	} else {
		fragColor = postPro;
	}
	
}