#version 330 core

in vec2 fragUV;

uniform sampler2D toBlur;
uniform float texelSize;
uniform int mipMap = 0;

out vec3 moments;

const float Coefficients[11] = float[11](
	0.00199,0.01130,0.04364,0.11458,0.20448,
	0.24802,
	0.20448,0.11458,0.04364,0.01130,0.00199);

void main () {
	
	vec3 tmp = vec3(0.0, 0.0, 0.0);
    
    for(int i = 0; i < 11; i++) {
		float offset = (i - 5) * texelSize;
		tmp += texture(toBlur, vec2(fragUV.x, fragUV.y + offset), mipMap).xyz * Coefficients[i];
    }

    moments = tmp;
}